PeopleForce
Audits

List audits

GET
/api/public/v3/audits

Query Parameters

created_at[gt]?integer

Unix epoch seconds

Formatint64
created_at[lt]?integer

Unix epoch seconds

Formatint64
page?integer
Formatint32
Default1

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v3/audits"
{  "data": [    {      "id": "string",      "event": "string",      "record_id": 0,      "record_type": "string",      "created_at": "2019-08-24T14:15:22Z",      "employee": {        "id": 0,        "active": true,        "access": true,        "employee_number": "string",        "full_name": "string",        "first_name": "string",        "middle_name": "string",        "last_name": "string",        "avatar_url": "string",        "gender": "string",        "gender_id": 0,        "email": "string",        "personal_email": "string",        "mobile_number": "string",        "work_phone_number": "string",        "date_of_birth": "2019-08-24",        "probation_ends_on": "2019-08-24",        "hired_on": "2019-08-24",        "position": {          "id": 0,          "name": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        },        "job_level": {          "id": 0,          "name": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        },        "location": {          "id": 0,          "name": "string",          "address": "string",          "time_zone": "string",          "holiday_policy_id": 0,          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        },        "employment_type": {          "id": 0,          "name": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        },        "division": {          "id": 0,          "name": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        },        "department": {          "id": 0,          "name": "string",          "parent_id": 0,          "manager_id": 0,          "department_level": {            "id": 0,            "name": "string",            "hex_color": "string"          },          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "fields": {            "property1": {              "name": "string",              "value": "string"            },            "property2": {              "name": "string",              "value": "string"            }          }        },        "reporting_to": {          "id": 0,          "first_name": "string",          "last_name": "string",          "email": "string"        },        "job_profile": {          "id": 0,          "name": "string",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "job_group": {            "id": 0,            "name": "string"          },          "job_level": {            "id": 0,            "name": "string"          },          "fields": {            "property1": {              "name": "string",              "value": "string"            },            "property2": {              "name": "string",              "value": "string"            }          }        },        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "slack_username": "string",        "twitter_username": "string",        "facebook_url": "string",        "linkedin_url": "string",        "direct_reports": [          {            "id": 0,            "first_name": "string",            "last_name": "string",            "email": "string"          }        ],        "custom_fields": [          {            "employee_field_id": 0,            "name": "string",            "internal_name": "string",            "group": {              "id": 0,              "name": "string"            },            "value": "string",            "option_id": 0,            "option_ids": [              0            ],            "user_id": 0          }        ]      }    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}